## org.springframework.jdbc.core.simple
Class SimpleJdbcDaoSupport

    java.lang.Object
      org.springframework.dao.support.DaoSupport
          org.springframework.jdbc.core.support.JdbcDaoSupport
              org.springframework.jdbc.core.simple.SimpleJdbcDaoSupport

All Implemented Interfaces:
  InitializingBean

    public class SimpleJdbcDaoSupport

extends JdbcDaoSupport

Extension of `JdbcDaoSupport` that exposes a `SimpleJdbcTemplate` as well. Only usable on Java 5 and above.

Since:
  2.0
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `SimpleJdbcTemplate`

Field Summary

Fields inherited from class org.springframework.dao.support.DaoSupport
`logger`

Constructor Summary
`SimpleJdbcDaoSupport()`

Method Summary
`SimpleJdbcTemplate` `getSimpleJdbcTemplate()` Return a SimpleJdbcTemplate wrapping the configured JdbcTemplate.
`protected void` `initTemplateConfig()` Create a SimpleJdbcTemplate based on the configured JdbcTemplate.

Methods inherited from class org.springframework.jdbc.core.support.JdbcDaoSupport
`checkDaoConfig, createJdbcTemplate, getConnection, getDataSource, getExceptionTranslator, getJdbcTemplate, releaseConnection, setDataSource, setJdbcTemplate`

Methods inherited from class org.springframework.dao.support.DaoSupport
`afterPropertiesSet, initDao`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleJdbcDaoSupport

    public SimpleJdbcDaoSupport()

Method Detail

### initTemplateConfig

    protected void initTemplateConfig()

  Create a SimpleJdbcTemplate based on the configured JdbcTemplate.

  Overrides:
    `initTemplateConfig` in class `JdbcDaoSupport`
  See Also:
    `JdbcDaoSupport.getJdbcTemplate()`

### getSimpleJdbcTemplate

    public SimpleJdbcTemplate getSimpleJdbcTemplate()

  Return a SimpleJdbcTemplate wrapping the configured JdbcTemplate.